### Method

# Gio Settings get_has_unapplied

since: 2.26

#### Declaration

    gboolean
    g_settings_get_has_unapplied (
      GSettings* settings
    )

#### Description

Returns whether the `GSettings` object has any unapplied changes. This can only be the case if it is in ‘delayed-apply’ mode.

Available since: 2.26

Gets property | `Gio.Settings:has-unapplied`

#### Return value

Type: `gboolean`

`TRUE` if `settings` has unapplied changes.